# GetSocial Android SDK Changelog

## v6.26.0 - May 14, 2019

**New:**


+ Merge three authentication calls into one to speed up initialization.

**Upgrading:**

No special steps required. Please follow default upgrade guide.

---

## v6.25.1 - May 9, 2019

**Fixed:**

+ Fixed rare out of memory issue on older devices during authentication.


**Upgrading:**

No special steps required. Please follow default upgrade guide.

---

## v6.25.0 - Apr 4, 2019

**New:**




+ Introduced prebuilt [Notification Center UI](https://docs.getsocial.im/guides/notifications/introduction/ui/).
+ Added `Notification.getSender()` method to get sender user id, name and avatar URL.
+ Avatars on the UI are now round by default.


**Upgrading:**

No special steps required. Please follow default upgrade guide.

---

## v6.24.6 - Mar 12, 2019

**New:**

+ Added `GetSocial.clearReferralData()` method to invalidate referral data.
+ Added `margin-top` and `margin-bottom` properties to `window` object in GetSocial UI configuration.

**Upgrading:**

No special steps required. Please follow default upgrade guide.

---

## v6.24.3 - Jan 30, 2019

**Fixed:**

+ Issues with purchase tracking when using Billing Service.

**Upgrading:**

No special steps required. Please follow default upgrade guide.

---

## v6.24.2 - Jan 24, 2019

**Fixed:**

+ Issues with new supported languages.

**Upgrading:**

No special steps required. Please follow default upgrade guide.

---

## v6.24.1 - Jan 23, 2019

**Fixed:**

+ Added missing analytics events to Instagram and Facebook Stories invites channels.

**Upgrading:**

No special steps required. Please follow default upgrade guide.

---

## v6.24.0 - Jan 21, 2019

**Fixed:**

+ Images and videos in Activity Feed now appear in full screen.
+ Added support for App Requests, more info [here](/guides/notifications/usecases/overview/#send-friend-requests-challenge-friends-request-gifts).
+ Added Custom Events tracking feature, more info [here](/guides/tracked-events/custom-events/).
+ Added new supported languages, like Hindi, Thai, etc


**Upgrading:**

No special steps required. Please follow default upgrade guide.

---

## v6.23.1 - Dec 19, 2018

**Fixed:**

+ In-app purchase tracking issue when using Billing Service

**Upgrading:**

No special steps required. Please follow default upgrade guide.

---

## v6.23.0 - Nov 20, 2018

**New:**

+ Added `MediaAttachment` class.
+ Added options to attach media to `NotificationContent`.

**Fixed:**



**Upgrading:**

We suggest to replace `setVideo`/`setImage`/`setVideoUrl`/`setImageUrl` methods in `InviteContent.Builder` and `ActivityPostContent.Builder` with `setMediaAttachment` or similar.

---

## v6.22.1 - Nov 7, 2018

**Fixed:**

+ Overall improvements.

**Upgrading:**

No special steps required. Please follow default upgrade guide.

---

## v6.22.0 - Oct 26, 2018

**New:**

+ Send end-to-end Push Notifications directly from SDK to another users. [Read more...](https://docs.getsocial.im/guides/social-notifications/android/#send-notification).
+ Support full screen mode in GetSocial UI. [Read more...](https://docs.getsocial.im/knowledge-base/sdk-ui/customization/json-reference/#specifying-fullscreen-window)
+ Support for Instagram and Facebook Stories Smart Invites.
+ Support for clickable URL's for posts created from GetSocial Dashboard.

**Fixed:**

+ Issue with incorrect order of fields in Activity Feed.

**Upgrading:**

No special steps required. Please follow default upgrade guide.

---

## v6.21.1 - Oct 11, 2018

**Fixed:**

+ Overall improvements.

**Upgrading:**

No special steps required. Please follow default upgrade guide.

---

## v6.21.0 - Oct 1, 2018

**New:**

+ Invite channels icons are now customizable. [Read more...](https://docs.getsocial.im/knowledge-base/sdk-ui/customization/json-reference/#specifying-custom-invite-channel-icons)

**Fixed:**

+ Issue with disabled close button when loading indicator is visible.
+ Overall accessibility improvements.
+ Issue with unable to load resources from expansion files.

**Upgrading:**

No special steps required. Please follow default upgrade guide.

---

## v6.20.7 - Sep 10, 2018

**New:**

+ Sharing on Facebook is now possible without adding Facebook SDK.

**Upgrading:**

No special steps required. Please follow default upgrade guide.

---

## v6.20.6 - Aug 28, 2018

**Fixed:**

+ Some kind of notifications was not automatically marked as read after user clicked on it.

**Upgrading:**

No special steps required. Please follow default upgrade guide.

---

## v6.20.5 - Aug 14, 2018

**New:**

+ Support latest version of KakaoTalk app.
+ Added `GetSocial.createInviteLink()` method for invite link creation.

**Fixed:**

+ `InviteCallback.onComplete` is now fired when user gets back to the application after sending the invite.


**Upgrading:**

In order to use latest version of KakaoTalk, KakaoSDK needs to be updated to version `1.11.0`.
Follow the installation guide: https://developers.kakao.com/docs/android/getting-started 
Also, `KakaoInvitePlugin` has to be updated, which can be downloaded from https://github.com/getsocial-im/getsocial-android-sdk/blob/master/plugins/KakaoInvitePlugin.java

---

## v6.20.3 - Jul 31, 2018

**Fixed:**

+ Removed error when keys starting with `$` were added to `LinkParams`.

**Upgrading:**

No special steps required. Please follow default upgrade guide.

---

## v6.20.2 - Jul 19, 2018

**Fixed:**

+ Rare crash on app start if internet connection is bad.

**Upgrading:**

No special steps required. Please follow default upgrade guide.

---

## v6.20.1 - Jul 18, 2018

**Fixed:**

+ Crash with `LocaleChangeReceiver`.

**Upgrading:**

No special steps required. Please follow default upgrade guide.

---

## v6.20.0 - Jul 16, 2018

**New**

+ Added support of `targetSdkVersion = 26` for Push Notifications. [Read how to have GetSocial notifications in the separate channel](https://docs.getsocial.im/guides/social-notifications/android/#customize-notifications-channel).

**Upgrading:**

No special steps required. Please follow default upgrade guide.

---

## v6.19.1 - Jul 6, 2018

**New:**

+ Added `GetSocial.isInviteChannelAvailable()` method.

**Upgrading:**

No special steps required. Please follow default upgrade guide.

---

## v6.18.0 - May 21, 2018

**New:**

+ Query all the GetSocial notifications that were sent to user. [Read more...](https://docs.getsocial.im/guides/social-notifications/android/#get-notifications)
+ Attach video or gif to the `ActivityPostContent` using `withVideo(...)` method of `ActivityPostContent.Builder` class.
+ Attach video or gif to the `InviteContent` using `withVideo(..)` method of `InviteContent.Builder` class.
+ Add `setPushNotificationsEnabled` and `isPushNotificationsEnabled` methods.

**Upgrading:**

No special steps required. Please follow default upgrade guide.

---

## v6.17.1 - May 10, 2018

**Improved:**

+ Overall sdk improvements.

**Upgrading:**

No special steps required. Please follow default upgrade guide.

---

## v6.17.0 - Apr 16, 2018

**New:**

+ Now GetSocial notifications can be shown even if app is in foreground. [Read more...](https://docs.getsocial.im/guides/social-notifications/android/#show-notifications-in-foreground).
+ Added VK support. [Read more...](http://docs.getsocial.im/guides/smart-invites/channels/setup-android/#setup-integration-with-vk-sdk) 
+ Added Push Notification actions to open the Smart Invites View and open URL. Read how to send notifications with new actions from the dashboard [here](https://docs.getsocial.im/guides/smart-targeting/send-notification/#action).

**Improved:**

+ We've reduced SDK method count for ~200 methods.

**Upgrading:**

No special steps required. Please follow default upgrade guide.

---

## v6.16.2 - Mar 26, 2018

**New:**

+ Landing page customization. [Read more...](https://docs.getsocial.im/guides/smart-links/customize-landing-page/android/)

**Improved:**

+ More precise attribution for installs and prevention from click injection fraud. [Read more...](https://android-developers.googleblog.com/2017/11/google-play-referrer-api-track-and.html)

**Upgrading:**

Starting from 6.16.0 we recommend adding 'com.android.installreferrer:installreferrer' library to the dependencies to make install attribution more precise.

---

## v6.15.3 - Mar 12, 2018

**Improved:**

+ Overall application improvements.

**Fixed:**

+ Fixed rare NPE on low-end Android devices.

**Upgrading:**

No special steps required. Please follow default upgrade guide.

---

## v6.15.2 - Mar 5, 2018

**Improved:**

+ Overall application improvements.
+ Added support for Viber and Telegram to Smart Invites.

**Fixed:**

+ Issue that Comments View can not be opened on older Android devices.

**Upgrading:**

No special steps required. Please follow default upgrade guide.

---

## v6.15.1 - Feb 12, 2018

**Improved:**

+ Overall application improvements.


**Upgrading:**

No special steps required. Please follow default upgrade guide.

---

## v6.15.0 - Jan 29, 2018

**New:**

+ We replaced `NotificationActionListener` with `NotificationListener`, it is more flexible and allows you to handle notifications even if app is in foreground.

**Upgrading:**

`GetSocial.setNotificationActionListener(...)` becomes `GetSocial.setNotificationListener(...)`, `NotificationActionListener` becomes `NotificationListener` and changed its signature. Read more in the [documentation](http://docs.getsocial.im/guides/social-notifications/android/#notification-listener).

---

## v6.14.0 - Jan 15, 2018

**New:**

+ Facebook share plugin. [Read more...](https://docs.getsocial.im/guides/smart-invites/channels/setup-android/#setup-integration-with-facebook-sdk).

**Upgrading:**

No special steps required. Please follow default upgrade guide.

---

## v6.13.0 - Dec 19, 2017

**New:**

+ Tags. You can post an activity with any kind of tag and search for posts with tags. [Read more...](http://docs.getsocial.im/guides/activity-feed/android/posts#post-activity-with-tags).

**Fixed:**

+ We fixed the issue with keyboard type in the Activity Feed.

**Upgrading:**

No special steps required. Please follow default upgrade guide.

---

## v6.12.0 - Dec 6, 2017

**New:**

+ App mentions. Now users can mention app in the Activity Feed. Community manager will receive notification on the GetSocial Dashboard.
+ New methods to manage social relationships. [Read mode...](https://docs.getsocial.im/guides/social-graph/android/building-social-graph-relationships/).

**Improved:**

+ Improved logic for the `ImageContentProvider` to avoid image attachment errors to smart invites.





**Fixed:**

+ Fixed missing annotations package issue on devices running on Android 16 and below.

**Upgrading:**

If you were using `MentionClickListener`, keep in mind that starting from SDK v6.12.0 you can receive user id or string "app", which means that mention of the app was clicked. [Read more...](https://docs.getsocial.im/guides/activity-feed/android/posts/#post-activity-with-mentions).

---

## v6.11.2 - Nov 20, 2017

**Improved:**

+ Fixed minor issues with video playback in Activity Feed.

**Upgrading:**

No special steps required. Please follow default upgrade guide.

---

## v6.11.1 - Nov 13, 2017

**Improved:**

+ Fixed minor issue with Push Notifications after reset user.

**Upgrading:**

No special steps required. Please follow default upgrade guide.

---

## v6.11.0 - Nov 6, 2017

**New:**

+ Added mentions feature. Now users can mentions each other with typing `@` symbol while posting Activity Post. To listen for mention click use `setMentionClickListener` in `ActivityFeedViewBuilder`. Read [how to mention user using GetSocial Data SDK](http://docs.getsocial.im/guides/activity-feed/android/posts#post-activity-with-mentions). 
+ Added method to reset current user and create new anonymous one. Use `GetSocial.User.reset(CompletionCallback)`.
+ Now you can initialize GetSocial SDK with dynamic app ID using `GetSocial.init(String appId)`.
+ Activity Feed now supports videos posted from Dashboard.

**Improved:**

+ Fixed few issues in Activity Feeds.



**Upgrading:**

No special steps required. Please follow default upgrade guide.

---

## v6.10.1 - Oct 20, 2017

**Improved:**

+ Fixed minor issues in Activity Feeds.

**Upgrading:**

No special steps required. Please follow default upgrade guide.

---

## v6.10.0 - Oct 18, 2017

**New:**

+ Added `referredUsers` method to get list of invited users who installed the app.
+ Expose API to initialize SDK manually. [Documentation](http://docs.getsocial.im/knowledge-base/manual-initialization/android/).

**Improved:**

+ Decreased `getsocial-core` library size by ~80 methods.
+ Decreased `getsocial-ui` library size by ~120 methods.
+ Added `getReferredUsers` method to get list of invited users who installed the app.





**Upgrading:**

No special steps required. Please follow default upgrade guide.

---

## v6.9.1 - Oct 12, 2017

**Improved:**

+ We moved our API from custom ports to common `443`, so if you have some corporate firewall you will be able to use SDK as well.

**Upgrading:**

No special steps required. Please follow default upgrade guide.

---

## v6.9.0 - Oct 2, 2017

**New:**

+ Display an activity feed with posts of your friends and your own using `setShowFriendsFeed(boolean showFriendsFeed)` of `ActivityFeedViewBuilder`. [Documentation](http://docs.getsocial.im/guides/activity-feed/android/posts/#friends-feed-view).
+ Get a list of activities of your friends and your own using `friendsFeed(boolean isFriendsFeed)` of `ActivitiesQuery`. [Documentation](http://docs.getsocial.im/guides/activity-feed/android/posts/#friends-feed).

**Fixed:**

+ We have fixed `SDK Security` feature to generate valid security hash, before it was not the same as `keytool` generates.

**Improved:**

+ Decreased `getsocial-core` library size by ~150 methods.




**Upgrading:**

If you were using `SDK Security` feature, you have to get your hash and upload it to the Dashboard. [Documentation](http://docs.getsocial.im/knowledge-base/sdk-security/).
You can leave old hash in the list to keep previous version compatible.

---

## v6.8.0 - Sep 18, 2017

**New:**

+ Introduced `gif` and `mp4` support for Smart Invites. Check out the supported invite channels in [docs](https://docs.getsocial.im/guides/smart-invites/introduction/). 

**Improved:**

+ Decreased `getsocial-core` library size by ~1200 methods to 4300 methods.
+ Set up additional automated test suits to validate analytics events. 




**Known Issues:**

+ `Restrict SDK Usage` feature is broken on this version and is not working as expected, we suggest you to upgrade to `6.9.0` to use it. 

**Upgrading:**

No special steps required. Please follow default upgrade guide.


---

## v6.7.0 - Sep 5, 2017

**New:**

+ Introduced `MultipleInstallReferrerReceiver` to re-broadcast INSTALL_REFERRER intent to all receivers. Read more in [docs](https://docs.getsocial.im/knowledge-base/manual-integration/android/#configure-smart-invites). 

**Fixed:**

+ Issue with incorrect logcat formatting, due to proguard renaming the class.

**Known Issues:**

+ `Restrict SDK Usage` feature is broken on this version and is not working as expected, we suggest you to upgrade to `6.9.0` to use it. 

**Upgrading:**

No special steps required. Please follow default upgrade guide.

---

## v6.6.2 - Aug 22, 2017

**New:**

+ Added `isGuaranteedMatch` flag to the `ReferralData` to indicate certainty that data correspond to the user.
+ Decreased number of methods by ~200.
  



**Known Issues:**

+ `Restrict SDK Usage` feature is broken on this version and is not working as expected, we suggest you to upgrade to `6.9.0` to use it. 

**Upgrading:**

No special steps required. Please follow default upgrade guide.

---

## v6.6.1 - Aug 7, 2017

**Fixed:**

+ Issue with missing Localization class in `getsocial-ui.aar`.

**Known Issues:**

+ `Restrict SDK Usage` feature is broken on this version and is not working as expected, we suggest you to upgrade to `6.9.0` to use it. 

**Upgrading:**

No special steps required. Please follow default upgrade guide.

---

## v6.6.0 - Aug 1, 2017

**New:**

+ Activity Feed view for specific user using `setFilterByUser(String userId)` of `ActivityFeedViewBuilder`.
+ Read-only Activity Feed view using `setReadOnly(boolean readOnly)` of `ActivityFeedViewBuilder`.
+ Query activity feed posts or comments for specific user using `filterByUser(String userId)` of `ActivitiesQuery`.
+ Method `GetSocial.User.setAvatar(Bitmap avatarImage, CompletionCallback callback)`, so now you can set image directly as user avatar image, not only from URL.
+ Added dark and white UI themes to the demo app. 
+ Security improvements: [Documentation](http://docs.getsocial.im/knowledge-base/sdk-security/)




**Fixed:**

+ SDK auto initialization when no visual elements of the app were presented, for instance when push notification arrived. Fixed incorrect DAU numbers on the GetSocial Dashboard. 

**Known Issues:**

+ `Restrict SDK Usage` feature is broken on this version and is not working as expected, we suggest you to upgrade to `6.9.0` to use it. 

**Upgrading:**

No special steps required. Please follow default upgrade guide.

---

## v6.5.0 - Jul 13, 2017

**New:**

+ Added sample landscape UI configuration to the demo app. 
+ Content Reporting in Activity Feeds. [Documentation](https://docs.getsocial.im/guides/activity-feed/reporting-content/)
+ Smart Links support. [Documentation](http://docs.getsocial.im/guides/smart-links/introduction/)

**Fixed:**

+ Handle properly `asset-base-path` property in UI config with `/` at the end.

**Upgrading:**

No special steps required. Please follow default upgrade guide.

---

## v6.4.0 - Jun 26, 2017

**New:**

+ Added API to get list of suggested friends. [Documentation](http://docs.getsocial.im/guides/social-graph/android/querying-social-graph/#suggested-friends).

+ Added ability to set path to UI configuration file via Android Manifest. [Documentation](http://docs.getsocial.im/knowledge-base/sdk-ui/android/#load-ui-configuration).
+ Added methods `allPublicProperties` and `allPublicProperties` on `GetSocialUser` and `GetSocialPublicUser` objects. 


**Improved:**

+ Deprecated method `PublicUser.getIdentities()`. Use `PublicUser.getAuthIdentities()` instead.
+ Reduced `getsocial-core.aar` size from 1.1 Mb to 0.8 Mb. And reduced method count from 5644 to 4510. 


**Fixed:**

+ Missing subject while sending Smart Invite via Native Share.
+ Collision errors with Json Simple library. 

**Upgrading:**

No special steps required. Please follow default upgrade guide.

---

## v6.3.0 - Jun 12, 2017

**New:**

+ Now you can disable image attachment to Smart Invites from Dashboard. Useful to avoid charges for sending MMS instead of SMS.
+ Method `GetUserById`, you can retrieve `PublicUser` entity having only user ID.

**Fixed:**

+ Fixed randomly reproducible crashes related to changing UI on non-main threads.
+ Fixed possible `OutOfMemoryException` crashes.
+ Fixed `NullPointerException` in install receiver if no token was passed.
+ Fixed resource packaging when building Unity from Windows OS.

**Upgrading:**

No special steps required. Please follow default upgrade guide.

---

## v6.2.0 - May 29, 2017

**Added**:

+ Added `ActivityDetailsView`, now you can open activity comments from code.
+ Added `whenInitialized` method to be able to execute any action right after SDK is initialized.
+ Added App Links support. More info in [documentation](http://docs.getsocial.im/knowledge-base/manual-integration/android/#setup-app-links-for-android-6).
+ Added `setAvatarClickListener` method to `ActivityFeedViewBuilder` and `ActivityDetailsViewBuilder`. You can use this method to get notified if a user clicked on a user's avatar.
+ Added `withImage` method to `InviteContent.Builder` to set invite image using binaries.
+ Facebook and Kakao plugins share image as well in Smart Invites.



**Fixed**:

+ Memory issues when setting too large image as window background.
+ Full screen activity issue with Unity.
+ Custom translated text issue in Smart Invites.



**Upgrading:**

No special steps required. Please follow default upgrade guide.

---

## v6.1.0 - May 15, 2017

**Added:**

+ Added `User Properties` functionality. Now you can store some custom properties for each user. More info in [documentation](http://docs.getsocial.im/guides/user-management/android/get-set-user-properties/).
+ Added fade animation when image is showing.
+ Added `UiActionListener` interface, you can set it with `setUiActionListener()` method on any of `ViewBuilder` chidren. All possible actions you can find in `UiAction` enum. More info in [documentation](http://docs.getsocial.im/knowledge-base/sdk-ui/android/#ui-user-actions-handling).



**Improved:**

+ Removed dependency on `Gson` library. Now SDK adds ~900 methods less.

**Fixed:**

+ Ukrainian and Russian localization for plural nouns.
+ Analytics crash on concurent list modification.
+ Action buttons background issue in landscape mode.
+ GetSocial Views title was trimmed if Activity is in fullscreen mode.
+ Invite text missing in Facebook Messenger.
+ No empty view in case there are no activities yet.

**Upgrading:**

No special steps required. Please follow default upgrade guide.

---

## v6.0.3 - May 1, 2017

**Improved:**

+ Removed `Picasso` library. Now we have ~750 methods less.
 
**Fixed:**

+ Fixed UI issue with incorrect loading background.
+ Now `setWindowTitle()` works for all GetSocial views.
+ Fixed issue when SDK do not initialize after changing GetSocial App Id.

**Upgrading:**

No special steps required. Please follow default upgrade guide.

---

## v6.0.2 - Apr 21, 2017

**New:**

+ Added `setViewStateListener` method to all GetSocial Views. Now you can subscribe to GetSocial View lifecycle events.

**Updated:**

+ Now `withButtonActionListener` becomes `setButtonActionListener`. 

**Fixed:**

+ Fix issue with empty Smart Invite text if it was updated from Dashboard.
+ Fix Activity Feed view with no input displayed if no activities was posted.

**Upgrading:**

Method `ActivityFeedViewBuilder.withButtonActionListener` was renamed to `setButtonActionListener`. Please follow the default upgrade guide and update code with new listener method signature.

---

## v6.0.1 - Apr 19, 2017

**Fixed:**

+ Downgraded targetSdk version to avoid AndroidManifest merge conflicts.

**Upgrading:**

No special steps required. Please follow default upgrade guide.

---

## v6.0.0 - Apr 13, 2017

GetSocial SDK version 6 is a major update that brings a lot of improvements, new features and breaking changes. Follow the guide below to learn about what changed and how to upgrade to SDK v6.

### Important Changes






**New:**

+ **Data API**. With GetSocial's Data API developers can now access the data layer of all our features breaking dependency on our UI and giving them more flexibility.
+ **Dynamic Activity Feeds**. Developers can now create activity feeds on the fly. They can have a feed per clan, per fraction, per geo, or even level specific.
+ **Sticky activities are now Announcements**. Developers can now post multiple announcements (announcements are always pinned on top) expiring at different time periods. All their announcements are accessible from one convenient location and can be rescheduled even after they expire.
+ **Auto-initialization**. Integration just got easier, SDK will automatically initialize with your app, no need to take care of that.


**Updated:**

+ **Simplified API**. We, at GetSocial, strive to provide the best integration experience. To achive this we had to rework our public API from scratch, it become easier to use and understand. It won't be possible without breaking changes, **GetSocial SDK version 6 is not backward compatible with SDK version 5.

**Removed:**




### Upgrading 

GetSocial SDK v6 is not backward compatible. The easiest way to upgrade is to remove GetSocial SDK v5 from your project and start with a fresh integration. Detailed steps below: 

1. Contact us at support@getsocial.im or via the support channel in our Dashboard to do the manual migration of your app to the new Dashboard.

1. Remove GetSocial SDK v5 from your project:
    2.1. Remove dependency to GetSocial SDK in the `build.gradle`.
    2.2. Remove Proguard configuration for GetSocial if any. 
    2.3. Comment out all usages of GetSocial SDK in the code to avoid compilation errors.

1. Follow [Getting Started Guide](/guides/getting-started/android/) to integrate GetSocial Android SDK v6.
1. Update commented GetSocial API method calls according to the mapping below. 

### Method Mappings

In SDK v6 almost all methods are static and all returned objects immutable. For instance, in SDK v5 to get user name you had to call:
  
    String name = GetSocial.getInstance().getCurrentUser().getDisplayName();

In SDK v6 you have to call static method:

    String name = GetSocial.User.getDisplayName(); 


**Initialization**

All initialization related methods in the SDK v5 were invoked on the GetSocial instance: `GetSocial.getInstance()`.

| SDK v5 Method | SDK v6 Method |
|---------------|-------------------|
| `init(...)` | SDK is auto-initialized now, details in [Getting Started Guide](/guides/getting-started/android/). |
| `isInitialized()` | `GetSocial.isInitialized()` |


**User Management**

All user management methods in SDK v5 were called on the instance of the `CurrentUser` object, e.g. `GetSocial.getCurrentUser().getDisplayName()`. In SDK v6 it is not possible to get `CurrentUser` object, instead you can get separate properties via static methods exposed via `GetSocial.User`. Learn more in [Introduction to GetSocial User Management](/guides/user-management/introduction/) guide.

| SDK v5 Method | SDK v6 Method |
|---------------|-------------------|
| `getGuid()`                   | `GetSocial.User.getId()` |
| `isAnonymous()`               | `GetSocial.User.isAnonymous()` |
| `getDisplayName()`            | `GetSocial.User.getDisplayName()` |
| `setDisplayName(...)`         | `GetSocial.User.setDisplayName(...)` |
| `getAvatarUrl()`              | `GetSocial.User.getAvatarUrl()` |
| `setAvatarUrl(...)`           | `GetSocial.User.setAvatarUrl(...)` |
| `getAllIdentities()` <br/> `getIdentities()`  | `GetSocial.User.getAuthIdentities()` |
| `hasIdentityForProvider(providerId)` | `GetSocial.User.getAuthIdentities().containsKey(providerId)` |
| `getUserIdForProvider(providerId)`   | `GetSocial.User.getAuthIdentities().get(providerId)` |
| `addUserIdentity(...)`        | `GetSocial.User.addAuthIdentity(...)` |
| `removeUserIdentity(...)`     | `GetSocial.User.removeAuthIdentity(...)` |
| `followUser(...)`             | `GetSocial.User.addFriend(...)` |
| `unfollowUser(...)`           | `GetSocial.User.removeFriend(...)` |
| `getFollowing(...)` <br/> `getFollowers(...)` | Following and followers become a one concept - friends, e.g. `GetSocial.User.getFriends()` |
| `isFollowingUser(...)` <br/> `isFollowedByUser(...)` | `GetSocial.User.isFriend(...)` |
| `reset(...)`                  | Removed |

User Management related methods on GetSocial object:

| SDK v5 Method | SDK v6 Method |
|---------------|---------------|
| `getExternalId(providerId, callback)` |  `GetSocial.User.getAuthIdentities().get(providerId)` |
| `getExternalId(providerId, getSocialUserId, callback)` | Alternative method is available from SDK v6.3.0. First you have to get instance of `PublicUser` via `GetSocial.getUserById(getSocialUserId, callback)`. Next get the custom provider id via: `publicUser.getAuthIdentities().get(providerId)` |


**Smart Invites**

In SDK v6 Invite Provides were renamed to Invite Channels. Moreover, in v6 referral data retrieval is implemented in pull mode, that means that you have to ask for data instead of listening when it will arrive. Learn more in [Sending and Receiving Referral Data](/guides/smart-invites/android/referral-data/) guide.

| SDK v5 Method | SDK v6 Method |
|---------------|-------------------|
| `registerPlugin(...)` | `GetSocial.registerInviteChannelPlugin(...)` |
| `getSupportedInviteProviders()` | `GetSocial.getInviteChannels()` |
| `inviteFriendsUsingProvider(...)` and `setInviteFriendsListener(listener)` were merged | `GetSocial.sendInvite(..., listener)` |
| `setOnReferralDataReceivedListener(...)` | `GetSocial.getReferralData(...)`|
| `PLACEHOLDER_*` constants | `InviteTextPlaceholders.PLACEHOLDER_*`|


**Activity Feed**

In SDK v6 it is possible to create Activity Feed dynamically from the SDK. If feed does not exist it will be created dynamically. Learn more in [Introduction to GetSocial Activity Feeds](/guides/activity-feed/introduction/). 

| SDK v5 Method | SDK v6 Method |
|---------------|-------------------|
| `postActivity(...)` | `GetSocial.postActivityToFeed(...)` |


**UI**

In SDK v6 UI configuration API from code was removed, use JSON file instead. JSON files from SDK v5 are backward compatible with SDK v6. Learn more about [UI Customization](/guides/ui-customization/introduction/).  

| SDK v5 Method | SDK v6 Method |
|---------------|-------------------|
| `getConfiguration().setConfiguration(...)` | `GetSocialUi.loadConfiguration()` and `GetSocialUi.loadDefaultConfiguration(...)`|
| `handleBackButtonPressed()` | `GetSocialUi.onBackPressed()` |
| `setOnWindowStateChangeListener(...)` | `GetSocialUi.createInvitesView().setViewStateListener(...)` |
| `closeView(...)` | `GetSocialUi.closeView(...)` |
| `restoreView()` | `GetSocialUi.restoreView()` |
| `createSmartInviteView()` | `GetSocialUi.createInvitesView()` |
| `createActivitiesView()` | `GetSocialUi.createActivityFeedView()` |
| `setOnActivityActionClickListener()` | `GetSocialUi.createActivityFeedView(...).setButtonActionListener(...)` |
| `createUserListView()` | Removed |
| `setOnInviteButtonClickListener(...)` | Removed |
| `createNotificationsView()` | Removed |
| `setOnUserAvatarClickHandler(...)` | Removed |
| `setOnAppAvatarClickHandler(...)` | Removed |
| `setOnUnreadNotificationsCountChangedListener(...)` | Removed |
| `getUnreadNotificationsCount()` | Removed |
| `setOnUserGeneratedContentListener(...)` | Removed |

**Other**

| SDK v5 Method | SDK v6 Method |
|---------------|-------------------|
| `setLanguage("uk")` | `GetSocial.setLanguage(LanguageCodes.UKRAINIAN)` |
| `getLanguage()` | `GetSocial.getLanguage()`|
| `onResume()`, `onNewIntent()`, and `onPause()` | Removed. We handle Activity lifecycle internally. |
| `VERSION` constant | `GetSocial.getSdkVersion()` |


!!! tip "Can't figure our correct mapping?"
    Feel free to reach us at support@getsocial.im or via the support channel in our Dashboard if you need any help with the migration.

---

## Older Versions

Changelog for older versions of GetSocial Android SDK is available on [GitHub Releases](https://github.com/getsocial-im/getsocial-android-sdk/releases?after=v6.0.0).
